Runtime

## org.eclipse.gmf.runtime.diagram.core.services.eventbroker
Class CreateDiagramEventBrokerOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.services.eventbroker.CreateDiagramEventBrokerOperation

All Implemented Interfaces:
  IOperation

    public class CreateDiagramEventBrokerOperation

extends java.lang.Object
implements IOperation

Operation used in creating a Diagram evnet broker instance

Constructor Summary
`CreateDiagramEventBrokerOperation(TransactionalEditingDomain editingDomain)` constructor

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`TransactionalEditingDomain` `getEditingDomain()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateDiagramEventBrokerOperation

    public CreateDiagramEventBrokerOperation(TransactionalEditingDomain editingDomain)

  constructor

  Parameters:
    `editingDomain` - the editing domain to use during this operation

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain()

  Returns:
    editing domain

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.